<?
session_start();
define (__TRACE_ENABLED__, false);
define (__DEBUG_ENABLED__, false);
//$empreact=$_SESSION['empresau'];
include("class.ezpdf.php");
include ("bases.php");
$rut=$_GET['ruta'];
$tabla=$_GET['tabla'];
$f1=$_GET['f1'];
$f2=$_GET['f2'];

$plani=$_GET['planilla'];

function truncar($cadena, $tamano)
{
$largo=strlen($cadena);
	
	if($largo<=$tamano)
	{

	}
	else
	{
	$cadena=substr($cadena,0,$tamano);
	}

return $cadena;
}


$tari=new DB();
$bd = new DB();

global $pdf;

$SUP=1028;
$IZQ=-10;
$ms=60;
$mi=60;
$miz=60;
$mder=60;


if($HTTP_GET_VARS["id_mens"])
{
$id_mens=$HTTP_GET_VARS["id_mens"];
$tabla=$HTTP_GET_VARS["tabla"];
$f1=$HTTP_GET_VARS["f1"];
$f2=$HTTP_GET_VARS["f2"];

if (!empty($f1) and !empty($f2)) $sql_add=" AND r.F13>='".$f1."' AND r.F13<'".$f2."' ";
$SQL="select g.id_mensajero, m.nombre as nom_men, g.id_sucursal,s.nombre as nom_suc
          from $tabla as g
		  	   inner join rastreo_guias as r on (g.guia=r.guia)
               inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
               inner join sucursales as s on (g.id_sucursal=s.id_sucursal)
          where g.id_estado='13' and g.id_mensajero=$id_mens 
               ".$sql_add." group by g.id_mensajero";
//echo $SQL;
$bd->query($SQL);
$plan=$bd->getfila($SQL);
$SQL="select count(*) from $tabla as g inner join rastreo_guias as r on (g.guia=r.guia) where g.id_estado='13' and g.id_mensajero='".$id_mens."'  ".$sql_add." ";
$bd->query($SQL);
$cantguias=$bd->getfila($SQL);
	if($cantguias[0]<=0)
	{
	echo '<BR><BR><BR><BR><div class="alertas" align="center">NO HAY GUIAS PARA EL <BR> MENSAJERO No '.$id_mens.'</div>';
	}
	else
	{
    $SQL_plan="select * from mensajeros where id_mens='".$id_mens."'";
	$bd_plan = new DB();
	$bd_plan->query($SQL_plan);
	$fecha=$bd_plan->getfila($SQL_plan);
		
	$pdf= new Cezpdf();

	$pdf->selectFont('./Helvetica-Bold.afm');
	$pdf->addJpegFromFile($rut,35,780,70,30);
	$pdf->addText(200,790,8,'RELACION REPORTE GUIAS MENSAJERO No '.$plani);
	$pdf->ezStartPageNumbers(552,790,8,'','Pagina: {PAGENUM} de {TOTALPAGENUM}',1);

	/*Cuadro 1*/
	$pdf->line(32,810,110,810);//Horizontal Superior
	$pdf->line(32,780,110,780);//Horizontal Inferior
	$pdf->line(32,810,32,780);//1era. Linea Vertical
	$pdf->line(110,780,110,810);//2da. Linea Vertical
	/*Cuadro Titulo*/
	$pdf->line(120,810,470,810);//Horizontal Superior
	$pdf->line(120,780,470,780);//Horizontal Inferior
	$pdf->line(120,810,120,780);//1era. Linea Vertical
	$pdf->line(470,780,470,810);//2da. Linea Vertical
	/*Cuadro Arriba*/
	$pdf->line(480,810,573,810);//Horizontal Superior
	$pdf->line(480,780,573,780);//Horizontal Inferior
	$pdf->line(480,810,480,780);//1era. Linea Vertical
	$pdf->line(573,780,573,810);//2da. Linea Vertical
	$pdf->ezSetMargins(80,20,40,20);

	$titulo1='ENTREGADA A: '.$plan[1].' ('.$plan[0].') ';
	$titulo2='FECHA: '.date('Y-m-d H:i:s');
	//$titulo3='CIUDAD ORIGEN: '.$plan[2];
	$titulo3='CIUDAD ORIGEN: '.$plan[3];
	$titulo4='CANTIDAD: '.$cantguias[0];
	$pdf->ezText($titulo1,8,array('justification'=>'justification'));
	$pdf->ezText($titulo2,8,array('justification'=>'justification'));
	$pdf->ezText($titulo3,8,array('justification'=>'justification'));
	$pdf->ezText($titulo4,8,array('justification'=>'justification'));
	$pdf->ezText('');
	$SQL="select g.id_mensajero, m.nombre as nom_men,  g.fecha_cargue, g.hora_cargue, g.id_cliente, 
	              c.nombre, g.orden, o.producto, count(g.guia) as cont, g.destinatario, g.direccion, g.id_sucursal, 
		          s.nombre as nom_suc, g.ciudad, g.id_planilla
          from $tabla as g
               inner join rastreo_guias as r on (g.guia=r.guia)
			   inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
               inner join sucursales as s on (g.id_sucursal=s.id_sucursal)
	           inner join clientes as c   on (g.id_cliente=c.id_cliente)
               inner join ordenes as o      on (g.orden=o.orden)
          where g.id_estado='13' and g.id_mensajero=$id_mens ".$sql_add." group by g.id_planilla";
	//echo $SQL;
	//echo "<br>";
	$bd->query($SQL);
	$i=0;
	$total_guias=0;
		while($datos=$bd->getfila()){
			$dato['CLIENTE']=trim($datos[5]);
			$dato['ORDEN']=trim($datos[6]);
			$dato['PLANILLA']=trim($datos[14]);
			$dato['PRODUCTO']=trim($datos[7]);
			$dato['CANTIDAD']=trim($datos[8]);
			$dato['DESTINATARIO']=truncar($datos[9],25);
			$dato['DIRECCION']=truncar($datos[10],25);
			$dato['CIUDAD']=trim($datos[13]);
			$dato['ENT']=$valor;
			$dato['DEV']=$valor;
			$mostrar[]=$dato;
			
		$total_guias=$total_guias+$valor;
		$i=$i+1;
		}

		//$pdf->ezTable($mostrar,'','',array('fontSize'=>6),'centre');
		$pdf->ezTable($mostrar,'','',array('fontSize' => 6,'showHeadings' => 1,'shaded'=> 1,
	   'shadeCol' => array(0.92,0.92,0.92),'shadeCol2' => array(0.9,0.9,0.9), 'cols'=>array(
	   											'CLIENTE'=>array('justification'=>'left','width'=>90), 
												'ORDEN'=>array('justification'=>'left','width'=>35), 
												'PLANILLA'=>array('justification'=>'left','width'=>40), 
										  		'PRODUCTO'=>array('justification'=>'left','width'=>60), 
										  		'CANTIDAD'=>array('justification'=>'left','width'=>45), 
										  		'DESTINATARIO'=>array('justification'=>'left','width'=>80), 
										  		'DIRECCION'=>array('justification'=>'left','width'=>90),
										  		'CIUDAD'=>array('justification'=>'left','width'=>60), 
												'ENT'=>array('justification'=>'left','width'=>25), 
												'DEV'=>array('justification'=>'left','width'=>25)
	
	)));
												
	$pdf->ezStream();
	}
}
else
{
echo '<BR><BR><BR><BR><div class="alertas" align="center"> OPERACION NO VALIDA!!<BR>SALGA DEL APLICATIVO <BR>Y VUELVA A IDENTIFICARSE NUEVAMENTE</div>';
}
?>